Subject: pkg/18090: security/tcp_wrappers fixes for Darwin
To: None <>
From: None <>
List: netbsd-bugs
Date: 08/28/2002 12:37:48
>Number:         18090
>Category:       pkg
>Synopsis:       security/tcp_wrappers fixes for Darwin
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Tue Aug 27 19:37:01 PDT 2002
>Originator:     grant beattie
>Release:        Darwin 5.5, -current pkgsrc
System: Darwin max 5.5 Darwin Kernel Version 5.5: Thu May 30 14:51:26 PDT 2002; root:xnu/xnu-201.42.3.obj~1/RELEASE_PPC  Power Macintosh powerpc
Architecture: powerpc
Machine: Power Macintosh
security/openssh doesn't build on Darwin due to lack of TCP wrappers.
The tcp_wrappers package is marked ONLY_FOR_PLATFORM SunOS and
requires some changes to build correctly on Darwin.

cd /usr/pkgsrc/security/openssh; make

The following patch allows openssh to mostly build (there are
some remaining issues with openssh itself).

Index: Makefile
RCS file: /cvsroot/pkgsrc/security/tcp_wrappers/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- Makefile	2002/08/25 18:39:57	1.7
+++ Makefile	2002/08/28 02:18:03
@@ -10,14 +10,21 @@
 COMMENT=	Monitor and filter incoming requests for network services
-ONLY_FOR_PLATFORM=	SunOS-*-*	# in NetBSD base system
+ONLY_FOR_PLATFORM=	SunOS-*-* Darwin-*-*	# in NetBSD base system
 USE_BUILDLINK2=	# defined
 USE_LIBTOOL=	# defined
+.include "../../mk/"
+.if ${OPSYS} == "SunOS"
 ALL_TARGET=	sunos5
+.elif ${OPSYS} == "Darwin"
+ALL_TARGET=	netbsd
+ALL_TARGET=	generic				# good luck!
-.if exists(/usr/include/netinet/ip6.h)
+.if defined(USE_INET6) && ${USE_INET6} == "YES"